RANLIB(1)

NAME
ranlib - convert archives to random libraries

SYNOPSIS
ranlib archive ...

DESCRIPTION
Ranlib converts each archive to a form which the loader can load more rapidly. Ranlib does this by adding a table of contents called _.SYMDEF to the beginning of the archive. Ranlib uses ar(1) to reconstruct the archive, so that sufficient temporary file space must be available in the file system which contains the current directory.

SEE ALSO
ld(1), ar(1), lorder(1)

BUGS
Because generation of a library by ar and randomization of the library by ranlib are separate processes, phase errors are possible. The loader, ld, warns when the modification date of a library is more recent than the creation date of its dictionary; but this means that you get the warning even if you only copy the library.